## net.sf.saxon.type
Interface SchemaComponent

All Known Subinterfaces:
  AtomicType, ComplexType, ListType, SchemaType, SimpleType

All Known Implementing Classes:
  AnySimpleType, AnyType, BuiltInAtomicType, BuiltInListType, ExternalObjectType, Untyped

public interface SchemaComponent

This is a marker interface that represents any "schema component" as defined in the XML Schema specification. This may be a user-defined schema component or a built-in schema component.

Field Summary
`static int` `FIXED_UP` Validation status: fixed up (all references to other components have been resolved)
`static int` `INCOMPLETE` Validation status: validation attempted, component contains references to other components that are not (yet) available
`static int` `INVALID` Validation status: validation attempted and failed with fatal errors
`static int` `UNVALIDATED` Validation status: not yet validated
`static int` `VALIDATED` Validation status: successfully validated
`static int` `VALIDATING` Validation status: currently being validated

Method Summary
`int` `getValidationStatus()` Get the validation status of this component.

Field Detail

### UNVALIDATED

    public static final int UNVALIDATED

  Validation status: not yet validated

  See Also:
    Constant Field Values

### FIXED_UP

    public static final int FIXED_UP

  Validation status: fixed up (all references to other components have been resolved)

  See Also:
    Constant Field Values

### VALIDATING

    public static final int VALIDATING

  Validation status: currently being validated

  See Also:
    Constant Field Values

### VALIDATED

    public static final int VALIDATED

  Validation status: successfully validated

  See Also:
    Constant Field Values

### INVALID

    public static final int INVALID

  Validation status: validation attempted and failed with fatal errors

  See Also:
    Constant Field Values

### INCOMPLETE

    public static final int INCOMPLETE

  Validation status: validation attempted, component contains references to other components that are not (yet) available

  See Also:
    Constant Field Values

Method Detail

### getValidationStatus

    public int getValidationStatus()

  Get the validation status of this component.

  Returns:
    one of the values `UNVALIDATED`, `VALIDATING`, `VALIDATED`, `INVALID`, `INCOMPLETE`